#include <iostream>

using namespace std;

int main()
{
    long int n,k;
    cin>>n>>k;
    long int niz[n];
    int br=0;
    long int m;
    int id=0;
    for(long int i=0; i<n;i++)
    {
        cin>>niz[i];
        if (br==1)
        {
            m=niz[i];
            br=0;
            id=1;
        }
        if(niz[i]==k)
            {
                br=1;

            }


    }

    if(id==0)
    {
        m=niz[0];
    }
    cout<<m;
    return 0;
}